Page MenuHomeVyOS Platform

BGP exchanged prefixes are shown as incative
Closed, WontfixPublicBUG

Description

BGP runs via wireguard interfaces and shows all imported prefixes as inactive.

host1:
set interfaces wireguard wg01 address '10.100.100.1/24'
set interfaces wireguard wg01 peer bgp2 allowed-ips '0.0.0.0/0'
set interfaces wireguard wg01 peer bgp2 endpoint '10.1.1.3:12345'
set interfaces wireguard wg01 peer bgp2 pubkey 'VLNFG31M2vRhpw0BlLPutYYg5hpLNHBleK4GtMX3GHU='
set interfaces wireguard wg01 port '12345'
set protocols bgp 65535 address-family ipv4-unicast network 10.2.0.0/24
set protocols bgp 65535 neighbor 10.100.200.1 address-family ipv4-unicast
set protocols bgp 65535 neighbor 10.100.200.1 remote-as '65534'
set protocols static interface-route 10.100.200.0/24 next-hop-interface wg01

host2:
set interfaces wireguard wg01 address '10.100.200.1/24'
set interfaces wireguard wg01 peer bgp1 allowed-ips '0.0.0.0/0'
set interfaces wireguard wg01 peer bgp1 endpoint '10.1.1.2:12345'
set interfaces wireguard wg01 peer bgp1 pubkey 'gTywZbflzg1bHEAqXRGXaztCCRVWF5c3TMom+IhQaU4='
set interfaces wireguard wg01 port '12345'
set protocols bgp 65534 address-family ipv4-unicast network 10.111.0.0/24
set protocols bgp 65534 neighbor 10.100.100.1 address-family ipv4-unicast
set protocols bgp 65534 neighbor 10.100.100.1 remote-as '65535'
set protocols static interface-route 10.100.100.0/24 next-hop-interface wg01

Details

Difficulty level
Unknown (require assessment)
Version
rc8 and rolling
Why the issue appeared?
Will be filled on close

Event Timeline

hagbard created this task.Nov 23 2018, 7:47 PM
hagbard added a comment.EditedNov 23 2018, 7:52 PM

run sh ip route

Codes: K - kernel route, C - connected, S - static, R - RIP,

O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
F - PBR, f - OpenFabric,
> - selected route, * - FIB route

C>* 10.1.1.0/24 is directly connected, eth1, 00:12:32

--> B 10.2.0.0/24 [20/0] via 10.100.100.1 inactive, 00:08:00

S>* 10.100.100.0/24 [1/0] is directly connected, wg01, 00:12:30
C>* 10.100.200.0/24 is directly connected, wg01, 00:12:30
C>* 10.111.0.0/24 is directly connected, eth3, 00:12:32

syncer triaged this task as Normal priority.Nov 29 2018, 8:30 PM
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc10); removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Dec 16 2018, 11:22 AM
syncer changed the task status from Open to Needs testing.Feb 5 2019, 2:27 PM

@hagbard An inactive route in this case can be resolved using the command "ebgp-multihop 10".

So, host01

set interfaces wireguard wg01 address '10.100.100.1/24'
set interfaces wireguard wg01 peer bgp2 allowed-ips '0.0.0.0/0'
set interfaces wireguard wg01 peer bgp2 endpoint '10.1.1.3:12345'
set interfaces wireguard wg01 peer bgp2 pubkey 'w0UnVnulfeLyTzJwEd6eYL/nqqWtMgUt+x6gOQ1lZWE='
set interfaces wireguard wg01 port '12345'
set protocols bgp 65535 address-family ipv4-unicast network 10.2.0.0/24
set protocols bgp 65535 neighbor 10.100.200.1 address-family ipv4-unicast
set protocols bgp 65535 neighbor 10.100.200.1 ebgp-multihop '10'
set protocols bgp 65535 neighbor 10.100.200.1 remote-as '65534'
set protocols static interface-route 10.100.200.0/24 next-hop-interface wg01

host02

set interfaces dummy dum10 address '10.111.0.1/32'
set interfaces wireguard wg01 address '10.100.200.1/24'
set interfaces wireguard wg01 peer bgp1 allowed-ips '0.0.0.0/0'
set interfaces wireguard wg01 peer bgp1 endpoint '10.1.1.2:12345'
set interfaces wireguard wg01 peer bgp1 pubkey 'J0mG/f30I4qREA519muydb7AEViyx170QBKbsIcG/ik='
set interfaces wireguard wg01 port '12345'

set protocols bgp 65534 address-family ipv4-unicast network 10.111.0.0/24
set protocols bgp 65534 neighbor 10.100.100.1 address-family ipv4-unicast
set protocols bgp 65534 neighbor 10.100.100.1 ebgp-multihop '10'
set protocols bgp 65534 neighbor 10.100.100.1 remote-as '65535'
set protocols static interface-route 10.100.100.0/24 next-hop-interface wg01

Host01, show ip route

vyos@host01# run show ip route
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route, q - queued route, r - rejected route

C>* 10.1.1.0/29 is directly connected, eth1, 00:30:24
C>* 10.100.100.0/24 is directly connected, wg01, 00:32:24
S>* 10.100.200.0/24 [1/0] is directly connected, wg01, 00:12:15
B>  10.111.0.0/24 [20/0] via 10.100.200.1 (recursive), 00:07:02
  *                        via 10.100.200.1, wg01 onlink, 00:07:02

And check ping

vyos@host01# run ping 10.111.0.1
PING 10.111.0.1 (10.111.0.1) 56(84) bytes of data.
64 bytes from 10.111.0.1: icmp_seq=1 ttl=64 time=1.12 ms
64 bytes from 10.111.0.1: icmp_seq=2 ttl=64 time=1.11 ms
64 bytes from 10.111.0.1: icmp_seq=3 ttl=64 time=12.6 ms
^C
--- 10.111.0.1 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2002ms
rtt min/avg/max/mdev = 1.118/4.962/12.643/5.431 ms
hagbard closed this task as Wontfix.Dec 10 2019, 3:38 PM
hagbard claimed this task.
c-po added a subscriber: c-po.Dec 10 2019, 5:49 PM

disable-connected option on a neighbour would work, too.

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Feb 9 2020, 2:17 PM